Issue 50334 - WW8: Page number starting higher than 255 not handled by import
Summary: WW8: Page number starting higher than 255 not handled by import
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: formatting (show other issues)
Version: 680m104
Hardware: All Windows XP
: P3 Trivial with 6 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
: 65666 98524 106238 111431 (view as issue list)
Depends on:
Blocks:
 
Reported: 2005-06-05 14:33 UTC by whelanirish
Modified: 2017-05-20 11:26 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Document where page number starts with 310. (23.50 KB, application/msword)
2005-06-06 10:21 UTC, michael.ruess
no flags Details
Document (OO.o 2.0.1) showing page number with offset bug (12.74 KB, application/vnd.sun.xml.writer)
2006-01-08 14:32 UTC, gostner
no flags Details
Document saved that reverted back to page 1 (5.01 KB, text/rtf)
2009-10-24 10:34 UTC, intanet
no flags Details
Print screen after I defined the page number to 265 (76.49 KB, text/plain)
2009-10-24 10:35 UTC, intanet
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description whelanirish 2005-06-05 14:33:11 UTC
Hi,

RE:  *BUG* OpenOffice Writer ver 1.9.104

I have to open a Microsoft word doc which has page numbering beginning with 
page number 304.

Writer cannot get this page number right, and erroneously displays it as page 
number 48.  In fact, experimentation has shown that Writer can only get the 
page number right if it does not exceed 255.  I think that particular number 
says that the field is not big enough.

I must not have two different versions of the same file because for now I 
still have to use Writer and Word alternately, and that means that the page 
number must remain incorrect in Writer, because there is apparently no 
workable compromise.  Hope you can fix it.

Writer is really a great program, and is a great relief from the suffocating 
burden of Microsoft Word.  When I use Writer I feel like I've been released 
from prison.

Thanks!
Gerald Whelan
Comment 1 lohmaier 2005-06-05 15:45:04 UTC
please attach a sample document that exhibits the problem.

correcting version to the one stated in the description.
Comment 2 michael.ruess 2005-06-06 10:19:58 UTC
MRU->FLR: In general, starting page numbers higher than 255 can be handled by
Writer. But it seems, that the import is limited to a one byte value in this
point. See my attachment.
Comment 3 michael.ruess 2005-06-06 10:21:20 UTC
Created attachment 26925 [details]
Document where page number starts with 310.
Comment 4 lohmaier 2005-06-06 13:19:08 UTC
requested info is provided and problem has been confirmed -> removing
needmoreinfo keyword.
Comment 5 drjoewebb 2005-06-16 13:29:57 UTC
I created documents in Word 2000 and was bringing them into OOo build 104 to 
make PDFs (works exceedingly well, better than Acrobat itself). Ran into 
problem with document where start page was 267. It kept making it start with 
page 11. i tried opening it in StarOffice 8 and also SO7 and had the same 
problem. I could not find any place in OOo to reset the starting page number 
directly. I ended up making the PDFs in Acrobat 5.0.5, but I would have vastly 
preferred OOo. WordPerfect did not open the files and interpret the formatting 
as cleanly as OOo, so that was not an option.
Thanks
Joe Webb
drjoewebb@excite.com
Comment 6 lohmaier 2005-06-16 14:39:28 UTC
In OOo the page number is a hard formatting of the very first paragraph of the
page that gets the number. So put the cursor into the first paragraph of the
page and choose Format|Paragraph (don't modify the Paragraph Template). On the
Tabpage "Textflow" you'll see the necessary controls to set the page number
(break before -> with page-template, use page-number <#>")
Using "Insert|Manual break -> Page break" does the same settings.
Comment 7 parser_ua 2005-07-01 14:40:11 UTC
In additional, this bug also occur if I add a page number field in footnote,
then rightclick on it, choose Field... in menu and set the offset for it. If the
offset value is greater then total page count the numbers in page number field
are disappearing.

Solution proposed by cloph solves the bug.
Comment 8 gostner 2006-01-08 14:30:17 UTC
Page numbers from fields that use an offset (insert - fields - other - Document
tab: Type: Page / Select: Page number /Format: As Page Style (or any other
style) / Offset) can never go any higher than the total count of pages in the
document.

if you use an offet that would make the page number on the current displayed
page higher than the total number of pages in the document, it returns an empty
field  (grey but no text)

in a 3-page doc, it works like this:
page  : |real page number|offset 1 | offset 2|
----------------------------------------------
page 1: |1               |    2    |        3|
page 2: |2               |    3    |    empty|
page 3: |3               |   empty |    empty|


This is explained better in the attached document.
Comment 9 gostner 2006-01-08 14:32:20 UTC
Created attachment 33016 [details]
Document (OO.o 2.0.1) showing page number with offset bug
Comment 10 lohmaier 2006-01-11 17:00:04 UTC
The offset is not meant to change the page-number, only increase the value
displayed. This is a totally different issue than this import problem. See issue
2235 (and the OnlineHelp) for details.
Comment 11 michael.ruess 2006-05-22 10:01:27 UTC
Made summary more meaningful.
Comment 12 michael.ruess 2006-05-22 10:01:41 UTC
*** Issue 65666 has been marked as a duplicate of this issue. ***
Comment 13 Mathias_Bauer 2006-08-30 14:55:02 UTC
assigned to hbrinkm
Comment 14 michael.ruess 2009-01-27 13:44:01 UTC
*** Issue 98524 has been marked as a duplicate of this issue. ***
Comment 15 eric.savary 2009-10-24 10:26:43 UTC
*** Issue 106238 has been marked as a duplicate of this issue. ***
Comment 16 eric.savary 2009-10-24 10:27:17 UTC
*** Issue 106238 has been marked as a duplicate of this issue. ***
Comment 17 intanet 2009-10-24 10:33:30 UTC
I am having the same issue.  I have found that when saving a document (in .doc
and  .rtf format), the defined page numbers only hold after a save and reopen as
far up as page 255.  Any page number above that will revert back to page 1 after
a save and reopen  I ran a test defining many page numbers (both odd and even)
which all "survived a save and reopen.  But once I reached page 256, after a
save and reopen, it reverted back to page 1.  I will attach the saved document
that reverted back to page one as well as a print screen of the document after I
defined the page number to 265 but before I closed it and reopened it.
Comment 18 intanet 2009-10-24 10:34:34 UTC
Created attachment 65571 [details]
Document saved that reverted back to page 1
Comment 19 intanet 2009-10-24 10:35:30 UTC
Created attachment 65572 [details]
Print screen after I defined the page number to 265
Comment 20 intanet 2009-10-24 10:42:28 UTC
P.S. I forgot to mention that I use Open Office 3.1.1.  I uninstalled it and
reinstalled OO 2.4 because I have always successfully defined page numbers
before so I thought it was in the new version but the same problem persists in
that version as well.  I never had this problem before because I never defined a
page number above 255 before. But tonight I had the thought to try to define
lower number page numbers.  I started with 3 and it held after a save and
reopen.  Then I tried various numbers (both odd and even) all the way up to page
255 all sucessfully holding a save and reopen.  But when I defined the page
number as 256, it reverted back to page 1 after a save and reopen.  Please try
this yourself and see if you are having the same problem.
Comment 21 michael.ruess 2010-05-06 15:49:58 UTC
*** Issue 111431 has been marked as a duplicate of this issue. ***
Comment 22 Marcus 2017-05-20 11:24:58 UTC
Reset assigne to the default "issues@openoffice.apache.org".
Comment 23 Marcus 2017-05-20 11:26:06 UTC
Reset assigne to the default "issues@openoffice.apache.org".